Updates the unavailability type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "87252869-caab-4883-aaec-724668183ad7",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "286f70ab-7cc0-4634-83d1-d0c6fc9ae904",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "92ac780a-81fd-4d7b-bda5-d1395c8629a5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "0fd0ed33-27e7-4d48-9c0f-ab95d8bac7b9",
"db_currency_id": "352e6fd0-0f99-4130-8f4b-665ab5aefe97",
"db_language_id": "d771071f-3b79-4c4b-98ea-efcf5a3fa34e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-06-09T06:30:55.3170694+00:00"
},
"modified_dateutc": "2026-06-09T06:30:55.3170694+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.